import Vue from 'vue';
import App from './App.vue';

import router from './router';
import store from './store';

import '@/icons';
import '@/styles/index.scss';
import '@/utils/filter';
import '@/utils/directive';
import '@/styles/font/font.css';

import ElementUI from 'element-ui';
import '@/styles/element-variables.scss';

import { setupRouterGuard } from '@/router/guard';

Vue.use(ElementUI, {
  size: 'small',
});

setupRouterGuard(router);

Vue.config.productionTip = false;

new Vue({
  router,
  store,
  render: (h) => h(App),
}).$mount('#app');
